[package]
name = "backend"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
reqwest = { version = "0.11", features = ["json", "cookies"] }
rocket = { version = "=0.5.0-rc.3" , features = ["json", "msgpack", "uuid"] }
sqlx = { version = "0.7.1", features = [ "runtime-tokio", "tls-rustls", "mysql", "macros", "chrono" ] }
dotenvy = "0.15.7"
serde = "1.0.188"
chrono = "0.4.27"
scraper = "0.17.1"
isahc = { version = "1.7.2", features = ["cookies"] }
urlencoding = "2.1.3"
lazy_static = "1.4.0"
once_cell = "1.18.0"
log = "0.4.20"
env_logger = "0.10.0"
bardecoder = "0.5.0"
image = "0.24.7"
printpdf = { version = "0.6.0", features = ["image", "embedded_images"] }


